package com.yunfeiyun.agmp.common.framework.web.service;

import com.yunfeiyun.agmp.common.framework.mq.MqMsg;
import com.yunfeiyun.agmp.common.core.domain.entity.SysDept;
import com.yunfeiyun.agmp.common.core.domain.entity.SysUser;

public interface ISysSyncService {

     void  syncDept(SysDept dept,String cmd);
     void  syncDept(String deptId , String cmd);
     void  syncUser(SysUser user,String cmd);
     void  syncUser(String userId,String cmd);
     MqMsg parseMsg(MqMsg mqMsg);
     void   parseUserAck(MqMsg mqMsg);

}
